Subject: Re: amanda port & tar question
From: [email-masked] (Benjamin Riefenstahl)

26 May 1998 17:38:57 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: Enrico Bernardini <[email-masked]>
Cc: [email-masked]

Hi Enrico,

Enrico Bernardini wrote:
> I modified the sources of tar-1.12 to enable the Backup Privilege. I could
> backup regardless file permissions.  Now, tar can backup the readable
> files inside a "locked" directory, and I can see (with Event Viewer)
> the Backup Privilege set.

In addition to getting the backup privilege an application would need to
specify the FILE_FLAG_BACKUP_SEMANTICS flag to the file open API
(CreatFile()). Otherwise the backup privilege would just have been a
synonym for "all access" on all operations.

Now how to get tar to set this flag on file/dir opens, I don't know.

so long, benny
======================================
Benjamin Riefenstahl ([email-masked])
Crocodial Communications EntwicklungsGmbH
Ruhrstraße 61, D-22761 Hamburg, Germany
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".